Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/ProblemModel.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/ProblemModel.cs	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Models/ProblemModel.cs	(revision 6317)
@@ -6,114 +6,112 @@
 using HLWebOKBAdminPlugin.Helpers;
 
-namespace HLWebOKBAdminPlugin.Models
-{
-    public class ProblemModel {
+namespace HLWebOKBAdminPlugin.Models {
+  public class ProblemModel {
 
-        public String SelectedSubMenu { get; set; }
-        public IList<Problem> Problems {
-            get { return ProblemsGetAll(); }
-            set { ;}
+    public String SelectedSubMenu { get; set; }
+    public IList<Problem> Problems {
+      get { return ProblemsGetAll(); }
+      set { ;}
+    }
+    public IList<ProblemClass> ProblemClasses { get { return ProblemClassGetAll(); } }
+    public IList<Platform> Platforms { get { return PlatformsGetAll(); } }
+
+    public Problem Problem { get; set; }
+
+    public ProblemModel() {
+      Problem = new Problem();
+    }//ProblemModel
+
+    //***************************************Problems***************************************************
+    private IList<Platform> PlatformsGetAll() {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
+
+      IList<Platform> platformList = new List<Platform>();
+
+      if (adminClient != null) {
+        Platform[] platforms = adminClient.GetPlatforms();
+        foreach (Platform pl in platforms) {
+          platformList.Add(pl);
         }
-        public IList<ProblemClass> ProblemClasses { get { return ProblemClassGetAll(); } }
-        public IList<Platform> Platforms { get { return PlatformsGetAll(); } }
+      }//if (adminClient != null)
 
-        public Problem Problem { get; set; }
+      return platformList;
+    }//ProblemClassGetAll
 
-        public ProblemModel() {
-            Problem = new Problem();
-        }//ProblemModel
+    private IList<ProblemClass> ProblemClassGetAll() {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-        //***************************************Problems***************************************************
-        private IList<Platform> PlatformsGetAll() {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+      IList<ProblemClass> problemClassList = new List<ProblemClass>();
 
-            IList<Platform> platformList = new List<Platform>();
+      if (adminClient != null) {
+        ProblemClass[] problemClasses = adminClient.GetProblemClasses();
+        foreach (ProblemClass pc in problemClasses) {
+          problemClassList.Add(pc);
+        }
+      }//if (adminClient != null)
 
-            if (adminClient != null) {
-                Platform[] platforms = adminClient.GetPlatforms();
-                foreach (Platform pl in platforms) {
-                    platformList.Add(pl);
-                }
-            }//if (adminClient != null)
+      return problemClassList;
+    }//ProblemClassGetAll
 
-            return platformList;
-        }//ProblemClassGetAll
+    private IList<Problem> ProblemsGetAll() {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-        private IList<ProblemClass> ProblemClassGetAll() {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+      IList<Problem> problemList = new List<Problem>();
 
-            IList<ProblemClass> problemClassList = new List<ProblemClass>();
+      if (adminClient != null) {
+        Problem[] problem = adminClient.GetProblems();
+        foreach (Problem pr in problem) {
+          problemList.Add(pr);
 
-            if (adminClient != null) {
-                ProblemClass[] problemClasses = adminClient.GetProblemClasses();
-                foreach (ProblemClass pc in problemClasses) {
-                    problemClassList.Add(pc);
-                }
-            }//if (adminClient != null)
+        }
+      }//if (adminClient != null)
 
-            return problemClassList;
-        }//ProblemClassGetAll
+      return problemList;
+    }//ProblemsGetAll
 
-        private IList<Problem> ProblemsGetAll() {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+    private long AddProblem(Problem problem) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-            IList<Problem> problemList = new List<Problem>();
+      if (adminClient != null) {
+        return adminClient.AddProblem(problem);
+      }
 
-            if (adminClient != null) {
-                Problem[] problem = adminClient.GetProblems();
-                foreach (Problem pr in problem) {
-                    problemList.Add(pr);
+      return 0;
+    }//AddProblem
 
-                }
-            }//if (adminClient != null)
+    public void DeleteProblem(long id) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-            return problemList;
-        }//ProblemsGetAll
+      if (adminClient != null) {
+        adminClient.DeleteProblem(id);
+      }
+    }//DeleteProblem
 
-        private long AddProblem(Problem problem) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+    public long SaveProblem(Problem problem) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-            if (adminClient != null) {
-                return adminClient.AddProblem(problem);
-            }
+      if (adminClient != null) {
+        if (problem.Id == 0) {
+          return AddProblem(problem);
+        } else {
+          Problem pr = adminClient.GetProblem(problem.Id);
 
-            return 0;
-        }//AddProblem
+          if (pr != null) {
+            adminClient.UpdateProblem(problem);
+            return problem.Id;
+          }
+        }
+      }
 
-        public void DeleteProblem(long id) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
+      return 0;
+    }//SaveProblem
 
-            if (adminClient != null) {
-                adminClient.DeleteProblem(id);
-            }
-        }//DeleteProblem
+    public void UpdateProblemData(long id, byte[] data) {
+      AdministrationServiceClient adminClient = Admin.GetClientFactory();
 
-        public long SaveProblem(Problem problem) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
-
-            if (adminClient != null) {
-                if (problem.Id == 0) {
-                    return AddProblem(problem);
-                }
-                else {
-                    Problem pr = adminClient.GetProblem(problem.Id);
-
-                    if (pr != null) {
-                        adminClient.UpdateProblem(problem);
-                        return problem.Id;
-                    }
-                }
-            }
-
-            return 0;
-        }//SaveProblem
-
-        public void UpdateProblemData(long id, byte[] data) {
-            AdministrationServiceClient adminClient = Admin.GetClientFactory();
-
-            if (adminClient != null) {
-                adminClient.UpdateProblemData(id, data);
-            }
-        }//UpdateProblemData
-    }
+      if (adminClient != null) {
+        adminClient.UpdateProblemData(id, data);
+      }
+    }//UpdateProblemData
+  }
 }
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Admin/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Admin/Index.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Admin/Index.aspx	(revision 6317)
@@ -2,14 +2,11 @@
 
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu"); %>
+  <% Html.RenderAction("Menu"); %>
 </asp:Content>
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Index
+  Index
 </asp:Content>
-
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-
-    <h2>Index</h2>
-
+  <h2>
+    Index</h2>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Detail.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Detail.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Detail.aspx	(revision 6317)
@@ -4,131 +4,127 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-    Detail
+  Detail
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <% using(Html.BeginForm("SaveChanges", "Algorithm")) %>
-    <% { %>
-    <h2>
-        Detail</h2>
-    <%
+  <% using (Html.BeginForm("SaveChanges", "Algorithm")) %>
+  <% { %>
+  <h2>
+    Detail</h2>
+  <%
      
-        // The Model will be filled via the Controller
-        // Maybe we can use here the Problem instead
-        // of the ProblemModel. But this must be changed
-        // in the Controller too!
+    // The Model will be filled via the Controller
+    // Maybe we can use here the Problem instead
+    // of the ProblemModel. But this must be changed
+    // in the Controller too!
 
-        Algorithm p = ((AlgorithmModel)Model).Algorithm;
-    %>
-
-            <div class="hl-menuButtons">                 
-        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
-        </div>
-
-    <table class="hl-table">
-        <tr>
-            <th>
-                Id:
-            </th>
-            <td>
-                <%: Html.Label(p.Id.ToString())%>
-            </td>
-            <%: Html.Hidden("AlgorithmId", p.Id.ToString(), p.Id.ToString())%>
-        </tr>
-        <tr>
-            <th>
-                Name:
-            </th>
-            <td>
-                <%: Html.TextBox("AlgorithmName", p.Name, p.Name)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Description:
-            </th>
-            <td>
-                <%: Html.TextBox("AlgorithmDescription", p.Description, p.Description)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                DataTypeName:
-            </th>
-            <td>
-                <%: Html.TextBox("AlgorithmDataTypeName", p.DataTypeName, p.DataTypeName)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Algorith Class:
-            </th>
-            <td>
-                <select name="AlgorithmClassId">
-                    <% foreach(AlgorithmClass pc in ((AlgorithmModel)Model).AlgorithmClasses) {  %>
-                        <% if(p.AlgorithmClassId == pc.Id) { %>
-                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } else { %>
-                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } %>
-                    <% } %>
-                </select>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Platform:
-            </th>
-            <td>
-                <select name="PlatformId">
-                    <% foreach(Platform pc in ((AlgorithmModel)Model).Platforms) {  %>
-                        <% if(p.PlatformId == pc.Id) { %>
-                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } else { %>
-                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } %>
-                    <% } %>
-                </select>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Action:
-            </th>
-            <td>
-                <input type="submit" value="save" />
-            </td>
-        </tr>
-    </table>    
-    
-    <% } %>
-
-    <% using (Html.BeginForm("UploadFile", "Algorithm", FormMethod.Post, new { enctype = "multipart/form-data" }))
-    {%><br />
-        <% Algorithm p = ((AlgorithmModel)Model).Algorithm; %>        
-        <table class="hl-table">
-            <tr>
-                <th>
-                    File:
-                </th>
-                <td>
-                    <%: Html.Hidden("AlgorithmId", p.Id.ToString(), p.Id.ToString())%>
-                    <input type="file" name="files" id="file2" size="25" /> 
-                </td>
-            </tr>
-            <tr>
-                <th>
-                    Action:
-                </th>
-                <td>
-                    <input type="submit" value="Upload file" />
-                </td>
-            </tr>
-        </table> 
-
-        <% } %> 
-        
-
+    Algorithm p = ((AlgorithmModel)Model).Algorithm;
+  %>
+  <div class="hl-menuButtons">
+    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
+  </div>
+  <table class="hl-table">
+    <tr>
+      <th>
+        Id:
+      </th>
+      <td>
+        <%: Html.Label(p.Id.ToString())%>
+      </td>
+      <%: Html.Hidden("AlgorithmId", p.Id.ToString(), p.Id.ToString())%>
+    </tr>
+    <tr>
+      <th>
+        Name:
+      </th>
+      <td>
+        <%: Html.TextBox("AlgorithmName", p.Name, p.Name)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Description:
+      </th>
+      <td>
+        <%: Html.TextBox("AlgorithmDescription", p.Description, p.Description)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        DataTypeName:
+      </th>
+      <td>
+        <%: Html.TextBox("AlgorithmDataTypeName", p.DataTypeName, p.DataTypeName)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Algorith Class:
+      </th>
+      <td>
+        <select name="AlgorithmClassId">
+          <% foreach (AlgorithmClass pc in ((AlgorithmModel)Model).AlgorithmClasses) {  %>
+          <% if (p.AlgorithmClassId == pc.Id) { %>
+          <option selected="selected" value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } else { %>
+          <option value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } %>
+          <% } %>
+        </select>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Platform:
+      </th>
+      <td>
+        <select name="PlatformId">
+          <% foreach (Platform pc in ((AlgorithmModel)Model).Platforms) {  %>
+          <% if (p.PlatformId == pc.Id) { %>
+          <option selected="selected" value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } else { %>
+          <option value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } %>
+          <% } %>
+        </select>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="save" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
+  <% using (Html.BeginForm("UploadFile", "Algorithm", FormMethod.Post, new { enctype = "multipart/form-data" })) {%><br />
+  <% Algorithm p = ((AlgorithmModel)Model).Algorithm; %>
+  <table class="hl-table">
+    <tr>
+      <th>
+        File:
+      </th>
+      <td>
+        <%: Html.Hidden("AlgorithmId", p.Id.ToString(), p.Id.ToString())%>
+        <input type="file" name="files" id="file2" size="25" />
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="Upload file" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Index.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Index.aspx	(revision 6317)
@@ -14,13 +14,21 @@
   <%  long? id = null;  %>
   <div class="hl-menuButtons">
-  <%: Html.ActionLink("New Algorithm", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
+    <%: Html.ActionLink("New Algorithm", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
   </div>
   <table class="hl-dataTable">
     <thead>
       <tr>
-        <th>Name</th>
-        <th>Description</th>
-        <th>Type</th>
-        <th>Actions</th>
+        <th>
+          Name
+        </th>
+        <th>
+          Description
+        </th>
+        <th>
+          Type
+        </th>
+        <th>
+          Actions
+        </th>
       </tr>
     </thead>
@@ -38,8 +46,8 @@
           <%: p.DataTypeName %>
         </td>
-                <td class="hl-iconcell">
-                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
-                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
-                </td>
+        <td class="hl-iconcell">
+          <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
+          <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
+        </td>
       </tr>
       <% } %>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Detail.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Detail.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Detail.aspx	(revision 6317)
@@ -4,53 +4,53 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-    Detail
+  Detail
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <% using (Html.BeginForm("SaveChanges", "AlgorithmClass")) %>
-    <% { %>
-    <h2>Detail</h2>
-            <div class="hl-menuButtons">                 
-        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
-        </div>
-    <% AlgorithmClass ac = ((AlgorithmClassModel)Model).AlgorithmClass; %>
-    <table class="hl-table">
-        <tr>
-            <th>
-                Id:
-            </th>
-            <td>
-                <%: Html.Label(ac.Id.ToString())%>
-            </td>
-            <%: Html.Hidden("AlgorithmClassId", ac.Id.ToString(), ac.Id.ToString())%>
-        </tr>
-        <tr>
-            <th>
-                Name:
-            </th>
-            <td>
-                <%: Html.TextBox("AlgorithmClassName", ac.Name, ac.Name)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Description:
-            </th>
-            <td>
-                <%: Html.TextBox("AlgorithmClassDescription", ac.Description, ac.Description)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Action:
-            </th>
-            <td>
-                <input type="submit" value="save" />
-            </td>
-        </tr>
-    </table> 
-   
-    <% } %>
+  <% using (Html.BeginForm("SaveChanges", "AlgorithmClass")) %>
+  <% { %>
+  <h2>
+    Detail</h2>
+  <div class="hl-menuButtons">
+    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
+  </div>
+  <% AlgorithmClass ac = ((AlgorithmClassModel)Model).AlgorithmClass; %>
+  <table class="hl-table">
+    <tr>
+      <th>
+        Id:
+      </th>
+      <td>
+        <%: Html.Label(ac.Id.ToString())%>
+      </td>
+      <%: Html.Hidden("AlgorithmClassId", ac.Id.ToString(), ac.Id.ToString())%>
+    </tr>
+    <tr>
+      <th>
+        Name:
+      </th>
+      <td>
+        <%: Html.TextBox("AlgorithmClassName", ac.Name, ac.Name)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Description:
+      </th>
+      <td>
+        <%: Html.TextBox("AlgorithmClassDescription", ac.Description, ac.Description)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="save" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Index.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Index.aspx	(revision 6317)
@@ -3,47 +3,48 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-    Index
+  Index
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-
-    <h2>AlgorithmClass</h2>
-
-<%  long? id = null;  %>
-<div class="hl-menuButtons">
+  <h2>
+    AlgorithmClass</h2>
+  <%  long? id = null;  %>
+  <div class="hl-menuButtons">
     <%: Html.ActionLink("New AlgorithmClass", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
-</div>
-
-
-        <table class="hl-dataTable">
-        <thead>
-        <tr>
-        <th>Name</th>
-        <th>Description</th>
-        <th>Actions</th>
-        </tr>
-        </thead>
-        <tbody>
-            <!--// We get this from the Controller (Index)-->
-            <% foreach (AlgorithmClass p in ((AlgorithmClassModel)Model).AlgorithmClasses) {  %>
-            <tr>
-                <td>
-                    <%: p.Name %>
-                </td>
-                <td>
-                    <%: p.Description %>
-                </td>
-                <td class="hl-iconcell">
-                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
-                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
-                </td>
-            </tr>
-            <% } %>
-            </tbody>
-        </table>
-  
+  </div>
+  <table class="hl-dataTable">
+    <thead>
+      <tr>
+        <th>
+          Name
+        </th>
+        <th>
+          Description
+        </th>
+        <th>
+          Actions
+        </th>
+      </tr>
+    </thead>
+    <tbody>
+      <!--// We get this from the Controller (Index)-->
+      <% foreach (AlgorithmClass p in ((AlgorithmClassModel)Model).AlgorithmClasses) {  %>
+      <tr>
+        <td>
+          <%: p.Name %>
+        </td>
+        <td>
+          <%: p.Description %>
+        </td>
+        <td class="hl-iconcell">
+          <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
+          <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
+        </td>
+      </tr>
+      <% } %>
+    </tbody>
+  </table>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/About.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/About.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/About.aspx	(revision 6317)
@@ -2,11 +2,11 @@
 
 <asp:Content ID="aboutTitle" ContentPlaceHolderID="TitleContent" runat="server">
-	About
+  About
 </asp:Content>
-
 <asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
-<h2>About</h2>
-    <p>
-        Put content here.
-    </p>
+  <h2>
+    About</h2>
+  <p>
+    Put content here.
+  </p>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/Index.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/Index.aspx	(revision 6317)
@@ -2,11 +2,12 @@
 
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Home Page
+  Home Page
 </asp:Content>
-
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
- <h2><%: ViewData["Message"] %></h2>
-    <p>
-        To learn more about ASP.NET MVC visit <a href="http://asp.net/mvc" title="ASP.NET MVC Website">http://asp.net/mvc</a>.
-    </p>
+  <h2>
+    <%: ViewData["Message"] %></h2>
+  <p>
+    To learn more about ASP.NET MVC visit <a href="http://asp.net/mvc" title="ASP.NET MVC Website">
+      http://asp.net/mvc</a>.
+  </p>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Detail.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Detail.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Detail.aspx	(revision 6317)
@@ -3,54 +3,54 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Detail
+  Detail
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <% using(Html.BeginForm("SaveChanges", "Platform")) %>
-    <% { %>
-    <h2>Detail</h2>
-            <div class="hl-menuButtons">                 
-        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
-        </div>
-    <% Platform pc = ((PlatformModel)Model).Platform; %>
-    <table class="hl-table">
-        <tr>
-            <th>
-                Id:
-            </th>
-            <td>
-                <%: Html.Label(pc.Id.ToString())%>
-            </td>
-            <%: Html.Hidden("PlatformId", pc.Id.ToString(), pc.Id.ToString())%>
-        </tr>
-        <tr>
-            <th>
-                Name:
-            </th>
-            <td>
-                <%: Html.TextBox("PlatformName", pc.Name, pc.Name)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Description:
-            </th>
-            <td>
-                <%: Html.TextBox("PlatformDescription", pc.Description, pc.Description)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Action:
-            </th>
-            <td>
-                <input type="submit" value="save" />
-            </td>
-        </tr>
-    </table> 
-    <% } %>
+  <% using (Html.BeginForm("SaveChanges", "Platform")) %>
+  <% { %>
+  <h2>
+    Detail</h2>
+  <div class="hl-menuButtons">
+    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
+  </div>
+  <% Platform pc = ((PlatformModel)Model).Platform; %>
+  <table class="hl-table">
+    <tr>
+      <th>
+        Id:
+      </th>
+      <td>
+        <%: Html.Label(pc.Id.ToString())%>
+      </td>
+      <%: Html.Hidden("PlatformId", pc.Id.ToString(), pc.Id.ToString())%>
+    </tr>
+    <tr>
+      <th>
+        Name:
+      </th>
+      <td>
+        <%: Html.TextBox("PlatformName", pc.Name, pc.Name)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Description:
+      </th>
+      <td>
+        <%: Html.TextBox("PlatformDescription", pc.Description, pc.Description)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="save" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Index.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Index.aspx	(revision 6317)
@@ -3,48 +3,48 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
-
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Index
+  Index
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-
-    <h2>Platform</h2>
-
-<%  long? id = null;  %>
-<div class="hl-menuButtons">
+  <h2>
+    Platform</h2>
+  <%  long? id = null;  %>
+  <div class="hl-menuButtons">
     <%: Html.ActionLink("New Platform", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
-</div>
-
-        <table class="hl-dataTable">
-                <thead>
-        <tr>
-        <th>Name</th>
-        <th>Description</th>
-        <th>Actions</th>
-        </tr>
-        </thead>
-        <tbody>
-            <!--// We get this from the Controller (Index)-->
-            <% foreach (Platform p in ((PlatformModel)Model).Platforms) {  %>
-            <tr>
-                <td>
-                    <%: p.Name %>
-                </td>
-                <td>
-                    <%: p.Description %>
-                </td>
-                <td class="hl-iconcell">
-                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
-                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
-                </td>
-
-            </tr>
-            <% } %>
-        </tbody>
-        </table>
-  
+  </div>
+  <table class="hl-dataTable">
+    <thead>
+      <tr>
+        <th>
+          Name
+        </th>
+        <th>
+          Description
+        </th>
+        <th>
+          Actions
+        </th>
+      </tr>
+    </thead>
+    <tbody>
+      <!--// We get this from the Controller (Index)-->
+      <% foreach (Platform p in ((PlatformModel)Model).Platforms) {  %>
+      <tr>
+        <td>
+          <%: p.Name %>
+        </td>
+        <td>
+          <%: p.Description %>
+        </td>
+        <td class="hl-iconcell">
+          <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
+          <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
+        </td>
+      </tr>
+      <% } %>
+    </tbody>
+  </table>
 </asp:Content>
